/* AMX Mod script. 
* 
* (c) Copyright 2005, T(+)rget 
* This file is provided as is (no warranties). 
* 
*/

#include <amxmodx>
#include <amxmisc>
#include <engine>
#include <fakemeta>

#include "wmod/defines.inl"   // WeaponMod Defines Data
#include "wmod/vars.inl"      // WeaponMod Variables Data
#include "wmod/tables.inl"    // WeaponMod Tables Data
#include "wmod/precache.inl"  // WeaponMod Precache Data
#include "wmod/hooks.inl"     // WeaponMod Hooks Data
#include "wmod/events.inl"    // WeaponMod Events Data
#include "wmod/forwards.inl"  // WeaponMod Forwards Data
#include "wmod/misc.inl"      // WeaponMod Misc Data
#include "wmod/menu.inl"      // WeaponMod Menu Data

public plugin_init() {
  register_plugin(PLUGIN, VERSION, AUTHORS)                                   // Defines.inl
  register_cvar(PLUGIN, VERSION, FCVAR_SERVER|FCVAR_SPONLY|FCVAR_UNLOGGED)    // GameSpy/HLSW etc

  weapmenu = register_menuid("\yBuy")                                         // menu.inl
  register_menucmd(weapmenu, 1023, "action_weaponmenu")                       // menu.inl
  register_event("DeathMsg", "DeathMsg_event", "a")                           // events.inl
  register_event("StatusIcon", "buyzone_icon", "be", "2=buyzone")             // events.inl
  register_event("ResetHUD", "ResetHUD_event", "be")                          // events.inl
  register_event("RoundTime", "RoundTime_event", "bc")                        // events.inl
  register_event("TextMsg", "check_restart", "a", "2&#Game_will_restart_in")  // events.inl
  register_event("TextMsg", "reset_weapon", "a", "2&#Game_Commencing")        // events.inl
  register_event("WeapPickup", "pickup_weapon", "be")                         // events.inl
  register_clcmd("buy", "wmod_menu")                                          // hooks.inl
  register_clcmd("buyequip", "wmod_menu")                                     // hooks.inl
  register_clcmd("buyammo1", "buy_ammo")                                      // hooks.inl
  register_clcmd("buyammo2", "buy_ammo")                                      // hooks.inl
  register_clcmd("drop", "detect_drop")                                       // hooks.inl
  register_clcmd("quickbuy", "wmod_menu")                                     // hooks.inl
  register_srvcmd("sv_weapons", "wmod_setup")                                 // hooks.inl
  register_srvcmd("sv_nobuyzone", "wmod_buyzone")                             // hooks.inl
  new map[32]
  get_mapname(map, 31)
  // Disable Defuse Kit if non de_* map
  if(!equali(map, "de_", 3)) {
    RegItem[34][RESTRICT] = 3
  }
}