/* AMX Mod script. 
* 
* (c) Copyright 2005, T(+)rget 
* This file is provided as is (no warranties). 
* 
*/

public show_weaponmenu(id) {
  if(is_user_alive(id)) {
    new menuoption[11][64], menubody[512]
    for(new z = 0; z < 11; ++z) {
      menuoption[z][0] = 0 // clear string
    }
    new keys, i
    new money = get_money(id)
    new team = get_user_team(id)

    if(MenuFlags[id] == MENU0) {
      format(menuoption[0], 63, MenuTitles[MenuFlags[id]])
    }
    if(MenuFlags[id] == MENU1) {
      format(menuoption[0], 63, "%s\R$   Cost^n(Secondary Weapon)", MenuTitles[MenuFlags[id]])
    }
    if(MenuFlags[id] > MENU1 && MenuFlags[id] < MENU7) {
      format(menuoption[0], 63, "%s\R$   Cost^n(Primary Weapon)", MenuTitles[MenuFlags[id]])
    }
    if(MenuFlags[id] > MENU6 && MenuFlags[id] <= MENU8) {
      format(menuoption[0], 63, "%s\R$   Cost", MenuTitles[MenuFlags[id]])
    }

    for(i = 0; i < MAX_ITEMS; i++) {
      if(RegItem[i][MENU] == MenuFlags[id]) {
        if(RegItem[i][team] > -1 && (RegItem[i][RESTRICT] == team || RegItem[i][RESTRICT] == 3)) {
          format(menuoption[RegItem[i][team] + 1], 63, (MenuFlags[id] == MENU0 && (equal(MenuTitles[RegItem[i][team] + 1], "Primary weapon ammo") || equal(MenuTitles[RegItem[i][team] + 1], "Equipment"))) ? "^n^n" : "^n")
        }
        if(RegItem[i][team] > -1 && RegItem[i][RESTRICT] != team && RegItem[i][RESTRICT] != 3) {
          keys += (1<<RegItem[i][team])
          format(menuoption[RegItem[i][team] + 1], 63, (MenuFlags[id] == MENU0) ? (equal(MenuTitles[RegItem[i][team] + 1], "Primary weapon ammo") || equal(MenuTitles[RegItem[i][team] + 1], "Equipment")) ? "^n^n\w%i. %s" : "^n\w%i. %s" : (money < RegItem[i][PRICE]) ? "^n\d%i. %s\R%i" : "^n\w%i. %s\R\y%i", RegItem[i][team] + 1, menu_string(team, MenuFlags[id], RegItem[i][team]), RegItem[i][PRICE])
        }
      }
    }
    keys += (1<<9)
    format(menuoption[10], 63, "^n^n\w0. Exit")
    format(menubody, 511, "\yBuy %s^n%s%s%s%s%s%s%s%s%s%s", menuoption[0],
      menuoption[1], menuoption[2], menuoption[3], menuoption[4], menuoption[5],
      menuoption[6], menuoption[7], menuoption[8], menuoption[9], menuoption[10])
    show_menu(id, keys, menubody, -1)
  }
  return PLUGIN_HANDLED
}

// Register Menu Keys
public action_weaponmenu(id, key) {
  if(key == 9) {
    return PLUGIN_HANDLED
  }
  if(MenuFlags[id] == MENU0) {
    if(key == 5) {
      client_cmd(id, "buyammo1")
      show_weaponmenu(id)
    }
    else if(key == 6) {
      client_cmd(id, "buyammo2")
      show_weaponmenu(id)
    }
    else {
      if(key < MAX_MENUS) {
        MenuFlags[id] = key + 1
        show_weaponmenu(id)
      }
    }
    return PLUGIN_HANDLED
  }
  else {
    buy_weapon(id, MenuFlags[id], key)
  }
  return PLUGIN_HANDLED
}

public menu_string(team, menu, item) {
  new string[32]
  switch(menu) {
  case 0:
    format(string, 31, MenuTitles[item+1])
  case 1:
    format(string, 31, team == 2 ? PistolNames_CT[item] : PistolNames_T[item])
  case 2:
    format(string, 31, ShotgunNames[item])
  case 3:
    format(string, 31, team == 2 ? SubGunNames_CT[item] : SubGunNames_T[item])
  case 4:
    format(string, 31, team == 2 ? RifleNames_CT[item] : RifleNames_T[item])
  case 5:
    format(string, 31, MachineNames[item])
  case 8:
    format(string, 31, EquipmentNames[item])
  }
  return string
}

public weapon_string(team, menu, item) {
  new string[32]
  switch(menu) {
  case 1:
    format(string, 31, team == 2 ? Pistols_CT[item] : Pistols_T[item])
  case 2:
    format(string, 31, Shotguns[item])
  case 3:
    format(string, 31, team == 2 ? SubGuns_CT[item] : SubGuns_T[item])
  case 4:
    format(string, 31, team == 2 ? Rifles_CT[item] : Rifles_T[item])
  case 5:
    format(string, 31, Machines[item])
  case 8:
    format(string, 31, Equipments[item])
  }
  return string
}

public buy_weapon(id, menu, item) {
  new i, team = get_user_team(id)
  if(check_buy(id)) {
    for(i = 0; i < MAX_ITEMS; i++) {
      if(RegItem[i][team] == item && RegItem[i][MENU] == menu) {
        if(RegItem[i][ITEMID] == HasPrimary[id] || RegItem[i][ITEMID] == HasSecondary[id]) {
          engclient_print(id, engprint_center, "You already own that weapon.")
          return PLUGIN_HANDLED
        }
        if(RegItem[i][ITEMID] == HasKevlar[id] && get_user_armor(id) > 99 || RegItem[i][ITEMID] == HasNVG[id] || RegItem[i][ITEMID] == HasDefuse[id] || RegItem[i][ITEMID] == 31 && HasKevlar[id] == 32 && get_user_armor(id) > 99) {
          engclient_print(id, engprint_center, "You already own that item.")
          return PLUGIN_HANDLED
        }
        if(RegItem[i][PRICE] > get_money(id)) {
          flash_money(id, 1)
          return PLUGIN_HANDLED
        }
        else {
          if(HasPrimary[id] > 0 && RegItem[i][PRIORITY] == RegItem[HasPrimary[id]][PRIORITY]) {
            engclient_cmd(id, "drop", weapon_string(check_team(id, team, 1), RegItem[HasPrimary[id]][MENU], RegItem[HasPrimary[id]][check_team(id, team, 1)]))
          }
          if(HasSecondary[id] > 0 && RegItem[i][PRIORITY] == RegItem[HasSecondary[id]][PRIORITY]) {
            // Duel Elite and Shield check
            if(RegItem[i][ITEMID] == CSW_ELITE && HasPrimary[id] == 35) {
              engclient_cmd(id, "drop")
            }
            if(HasPrimary[id] == 35) {
              set_pdata_int(id, 510, get_pdata_int(id, 510) - HAS_SHIELD)
            }
            engclient_cmd(id, "drop", weapon_string(check_team(id, team, 2), RegItem[HasSecondary[id]][MENU], RegItem[HasSecondary[id]][check_team(id, team, 2)]))
            if(HasPrimary[id] == 35) {
              set_pdata_int(id, 510, get_pdata_int(id, 510) + HAS_SHIELD)
            }
          }
          // GRENADE CHECKS
          if(RegItem[i][ITEMID] == 4 || RegItem[i][ITEMID] == 9 || RegItem[i][ITEMID] == 25) {
            new clip, ammo
            get_user_ammo(id, RegItem[i][ITEMID], clip, ammo)
            if(ammo < RegItem[i][MAXAMMO]) {
              if((RegItem[i][ITEMID] == 4 || RegItem[i][ITEMID] == 25) && ammo > 0) {
                pickup_wpn(id, RegItem[i][ITEMID])
              }
              else if(RegItem[i][ITEMID] == 9 && ammo > 1) {
                pickup_wpn(id, RegItem[i][ITEMID])
              }
              set_pdata_int(id, RegItem[i][AMMOTYPE]+BOT_OFFSET, get_pdata_int(id, RegItem[i][AMMOTYPE]) + RegItem[i][CLIPS])
              set_pdata_int(id, 115, get_money(id) - RegItem[i][PRICE])
            }
          }
          // KEVLAR & HELMET
          else if(RegItem[i][ITEMID] == 32 && HasKevlar[id] == 31) {
            set_pdata_int(id, 115, get_money(id) - (RegItem[32][PRICE] - RegItem[31][PRICE]))
          }
          else {
            set_pdata_int(id, 115, get_money(id) - RegItem[i][PRICE])
          }
          give_weapon(id, weapon_string(team, menu, item), i)
          if(RegItem[i][PRICE] > 0) {
            flash_money(id, 0)
          }
        }
      }
    }
  }
  else {
    engclient_print(id, engprint_center, NoBuy, floatround(get_cvar_float("mp_buytime") * 60))
  }
  return PLUGIN_HANDLED
}

public close_menu(id) {
  new menuid, keys
  get_user_menu(id, menuid, keys)
  if(menuid == weapmenu) {
    show_menu(id, 0, " ", 0)
  }
}
