/* AMX Mod script. 
* 
* (c) Copyright 2005, T(+)rget 
* This file is provided as is (no warranties). 
* 
*/

new Blocked_Items[MAX_BLOCKED][] = {
  // Commands
  "cl_autobuy",
  "cl_rebuy",
  "cl_setautobuy",
  "cl_setrebuy",
  // Pistols
  "km45",
  "9x19mm",
  "nighthawk",
  "228compact",
  "elites",
  "fiveseven",
  // Shotguns
  "12gauge",
  "autoshotgun",
  // SMG
  "smg",
  "mp",
  "c90",
  "mac10",
  "ump45",
  // Rifles
  "cv47",
  "defender",
  "clarion",
  "krieg552",
  "m4a1",
  "bullpup",
  "scout",
  "magnum",
  "d3au1",
  "krieg550",
  // Machine Gun
  "m249",
  // Equipment
  "vest",
  "vesthelm",
  "flash",
  "hegren",
  "sgren",
  "defuser",
  "nvgs",
  "shield",
  // Ammo
  "primammo",
  "secammo"
}

new MenuTitles[MAX_MENUS][] = {
  "Item",
  "Handgun",
  "Shotgun",
  "Sub-Machine Gun",
  "Rifle",
  "Machine Gun",
  "Primary weapon ammo",
  "Secondary weapon ammo",
  "Equipment"
}

new PistolNames_T[MAX_PISTOLS][] = {
  "9X19mm Sidearm",
  "K&M .45 Tactical",
  "228 Compact",
  "Night Hawk .50C",
  ".40 Dual Elites"
}

new Pistols_T[MAX_PISTOLS][] = {
  "weapon_glock18",
  "weapon_usp",
  "weapon_p228",
  "weapon_deagle",
  "weapon_elite"
}

new PistolNames_CT[MAX_PISTOLS][] = {
  "9X19mm Sidearm",
  "K&M .45 Tactical",
  "228 Compact",
  "Night Hawk .50C",
  "ES Five-Seven"
}

new Pistols_CT[MAX_PISTOLS][] = {
  "weapon_glock18",
  "weapon_usp",
  "weapon_p228",
  "weapon_deagle",
  "weapon_fiveseven"
}

new ShotgunNames[MAX_SHOTGUNS][] = {
  "Leone 12 Gauge Super",
  "Leone YG1265 Auto Shotgun"
}

new Shotguns[MAX_SHOTGUNS][] = {
  "weapon_m3",
  "weapon_xm1014"
}

new SubGunNames_T[MAX_SUBGUNS][] = {
  "Ingram MAC-10",
  "K&M Sub-Machine Gun",
  "K&M UMP45",
  "ES C90"
}

new SubGuns_T[MAX_SUBGUNS][] = {
  "weapon_mac10",
  "weapon_mp5navy",
  "weapon_ump45",
  "weapon_p90"
}

new SubGunNames_CT[MAX_SUBGUNS][] = {
  "Schmidt Machine Pistol",
  "K&M Sub-Machine Gun",
  "K&M UMP45",
  "ES C90"
}

new SubGuns_CT[MAX_SUBGUNS][] = {
  "weapon_tmp",
  "weapon_mp5navy",
  "weapon_ump45",
  "weapon_p90"
}

new RifleNames_T[MAX_RIFLES][] = {
  "IDF Defender",
  "CV-47",
  "Schmidt Scout",
  "Krieg 552 Commando",
  "Magnum Sniper Rifle",
  "D3/AU-1 Semi-Auto Sniper Rifle"
}

new Rifles_T[MAX_RIFLES][] = {
  "weapon_galil",
  "weapon_ak47",
  "weapon_scout",
  "weapon_sg552",
  "weapon_awp",
  "weapon_g3sg1"
}

new RifleNames_CT[MAX_RIFLES][] = {
  "Clarion 5.56",
  "Schmidt Scout",
  "Maverick M4A1 Carbine",
  "Bullpin",
  "Krieg 550 Commando",
  "Magnum Sniper Rifle"
}

new Rifles_CT[MAX_RIFLES][] = {
  "weapon_famas",
  "weapon_scout",
  "weapon_m4a1",
  "weapon_aug",
  "weapon_sg550",
  "weapon_awp"
}

new MachineNames[MAX_MACHINES][] = {
  "ES M249 Para"
}

new Machines[MAX_MACHINES][] = {
  "weapon_m249"
}

new EquipmentNames[MAX_EQUIPMENT][] = {
  "Kevlar Vest",
  "Kevlar Vest & Helmet",
  "Flashbang",
  "HE grenade",
  "Smoke Grenade",
  "Nightvision Goggles",
  "Defuse Kit",
  "Tactical Shield"
}

new Equipments[MAX_EQUIPMENT][] = {
  "item_kevlar",
  "item_assaultsuit",
  "weapon_flashbang",
  "weapon_hegrenade",
  "weapon_smokegrenade",
  "item_nightvision",
  "item_thighpack",
  "weapon_shield"
}

enum {
  MENU0 = 0,
  MENU1,
  MENU2,
  MENU3,
  MENU4,
  MENU5,
  MENU6,
  MENU7,
  MENU8,
  MENU9,
}

// Item ID, Menu Slot_T, Menu Slot_CT, Restriction, Menu, Price, Priority, Default Ammo Clip, Ammo Clip, Max Ammo, Clips, Clip Price, Ammo Type
new RegItem[MAX_ITEMS][13] = {
  {0, -1, -1, 0, -1, 0, 0, 0, 0, 0, 0},                       // NULL
// Normal CS Weapons
  {1, 2, 2, 0, MENU1, 600, 2, 13, 13, 52, 13, 50, 385},       // P228
  {2, -1, -1, 0, -1, 0, 0, 0, 0, 0, 0, 0, 0},                 // NOT USED
  {3, 2, 1, 0, MENU4, 2750, 1, 10, 10, 90, 30, 80, 378},      // SCOUT
  {4, 3, 3, 0, MENU8, 300, 0, 1, 1, 1, 1, 300, 388},          // HEGRENADE
  {5, 1, 1, 0, MENU2, 3000, 1, 7, 7, 32, 7, 65, 381},         // XM1014
  {6, -1, -1, 0, -1, 0, 0, 0, 0, 0, 0, 0, 390},               // C4
  {7, 0, -1, 0, MENU3, 1400, 1, 30, 30, 100, 12, 25, 382},    // MAC10
  {8, -1, 3, 0, MENU4, 3500, 1, 30, 30, 90, 30, 60, 380},     // AUG
  {9, 4, 4, 0, MENU8, 300, 0, 1, 1, 1, 1, 300, 389},          // SMOKEGRENADE
  {10, 4, -1, 0, MENU1, 800, 2, 30, 30, 120, 30, 20, 386},    // ELITE
  {11, -1, 4, 0, MENU1, 750, 2, 20, 20, 100, 50, 50, 383},    // FIVESEVEN
  {12, 2, 2, 0, MENU3, 1700, 1, 25, 25, 100, 12, 25, 382},    // UMP45
  {13, -1, 4, 0, MENU4, 4200, 1, 30, 30, 90, 30, 60, 380},    // SG550
  {14, 0, -1, 0, MENU4, 2000, 1, 35, 35, 90, 30, 60, 380},    // GALI
  {15, -1, 0, 0, MENU4, 2250, 1, 25, 25, 90, 30, 60, 380},    // FAMAS
  {16, 1, 1, 0, MENU1, 500, 2, 12, 12, 100, 12, 25, 382},     // USP
  {17, 0, 0, 0, MENU1, 400, 2, 20, 20, 120, 30, 20, 386},     // GLOCK18
  {18, 4, 5, 0, MENU4, 4750, 1, 10, 10, 30, 10, 125, 377},    // AWP
  {19, 1, 1, 0, MENU3, 1500, 1, 30, 30, 120, 30, 20, 386},    // MP5NAVY
  {20, 0, 0, 0, MENU5, 5750, 1, 100, 100, 200, 30, 60, 379},  // M249
  {21, 0, 0, 0, MENU2, 1700, 1, 8, 8, 32, 8, 65, 381},        // M3
  {22, -1, 2, 0, MENU4, 3100, 1, 30, 30, 90, 30, 60, 380},    // M4A1
  {23, -1, 0, 0, MENU3, 1250, 1, 30, 30, 120, 30, 20, 386},   // TMP
  {24, 5, -1, 0, MENU4, 5000, 1, 20, 20, 90, 30, 80, 378},    // G3SG1
  {25, 2, 2, 0, MENU8, 200, 0, 1, 1, 2, 1, 200, 387},         // FLASHBANG
  {26, 3, 3, 0, MENU1, 650, 2, 7, 7, 35, 7, 40, 384},         // DEAGLE
  {27, 3, -1, 0, MENU4, 3500, 1, 30, 30, 90, 30, 60, 380},    // SG552
  {28, 1, -1, 0, MENU4, 2500, 1, 30, 30, 90, 30, 80, 378},    // AK47
  {29, -1, -1, 0, -1, 0, 0, 0, 0, 0, 0, 0, 0},                // KNIFE
  {30, 3, 3, 0, MENU3, 2350, 1, 0, 50, 100, 50, 50, 383},     // P90
// Normal CS Equipment
  {31, 0, 0, 0, MENU8, 650, 0, 0, 0, 0, 0, 0, 0},             // KEVLAR
  {32, 1, 1, 0, MENU8, 1000, 0, 0, 0, 0, 0, 0, 0},            // KEVLAR & HELMET
  {33, 5, 5, 0, MENU8, 1250, 0, 0, 0, 0, 0, 0, 0},            // NIGHTVISION
  {34, 6, 6, 1, MENU8, 200, 0, 0, 0, 0, 0, 0, 0},             // DEFUSE KIT
  {35, 7, 7, 1, MENU8, 2200, 1, 0, 0, 0, 0, 0, 0},            // TACTICAL SHIELD
// Menus
  {36, 0, 0, 0, MENU0, 0, 0, 0, 0, 0, 0, 0, 0},               // HANDGUN MENU
  {37, 1, 1, 0, MENU0, 0, 0, 0, 0, 0, 0, 0, 0},               // SHOTGUN MENU
  {38, 2, 2, 0, MENU0, 0, 0, 0, 0, 0, 0, 0, 0},               // SUB-MACHINE GUN MENU
  {39, 3, 3, 0, MENU0, 0, 0, 0, 0, 0, 0, 0, 0},               // RIFLE MENU
  {40, 4, 4, 0, MENU0, 0, 0, 0, 0, 0, 0, 0, 0},               // MACHINE GUN MENU
  {41, 5, 5, 0, MENU0, 0, 0, 0, 0, 0, 0, 0, 0},               // PRIMARY AMMO
  {42, 6, 6, 0, MENU0, 0, 0, 0, 0, 0, 0, 0, 0},               // SECONDARY AMMO
  {43, 7, 7, 0, MENU0, 0, 0, 0, 0, 0, 0, 0, 0}                // EQUIPMENT MENU
}

enum {
  ITEMID = 0,
  SLOT_T,
  SLOT_CT,
  RESTRICT,
  MENU,
  PRICE,
  PRIORITY,
  DEFAULTCLIP,
  AMMOCLIP,
  MAXAMMO,
  CLIPS,
  AMMOPRICE,
  AMMOTYPE,
}
