/* AMX Mod script. 
* 
* (c) Copyright 2005, T(+)rget 
* This file is provided as is (no warranties). 
* 
*/

public DeathMsg_event() {
  new id = read_data(2)
  close_menu(id)
  reset_data(id)
}

public ResetHUD_event(id) {
  set_task(1.0, "check_config", id)
}

public buyzone_icon(id) {
  if(read_data(1)) {
    BuyAllow[id] = true
  }
  else {
    BuyAllow[id] = false
    if(!NoBuyzone) {
      close_menu(id)
    }
    else {
      buy_display(id, 1)
    }
  }
}

public RoundTime_event() {
  new Float:roundtime = get_cvar_float("mp_roundtime") * 60.0
  new rtime = read_data(1)

  if(get_cvar_num("mp_freezetime") == rtime) {
    if(task_exists(421)) {
      remove_task(421)
    }
    Buy = true
  }
  if(roundtime == rtime) {
    BuyTime = get_cvar_float("mp_buytime") * 60
    set_task(BuyTime, "BuyTimeTask", 421)
  }
}

public reset_weapon() {
  new id
  for(id = 1; id < 33; ++id) {
    if(is_user_alive(id)) {
      engclient_cmd(id, "weapon_knife")
      // Default CS Data
      HasPrimary[id] = 0
      //HasSecondary[id] = 0
      HasKevlar[id] = 0
      HasNVG[id] = 0
      HasDefuse[id] = 0
      //Died[id] = true
    }
  }
}

public check_restart() {
  set_task(get_cvar_float("sv_restart") + get_cvar_float("sv_restartround"), "reset_weapon")
}

public pickup_weapon(id) {
  new wid = read_data(1)
  if(RegItem[wid][PRIORITY] == 1) {
    HasPrimary[id] = wid
  }
  if(RegItem[wid][PRIORITY] == 2) {
    HasSecondary[id] = wid
  }
}

// Some misc data
public check_config(id) {
  new team = get_user_team(id), menu, item
  if(StartPrimary[team] > 0 && RegItem[StartPrimary[team]][PRIORITY] == 1 && HasPrimary[id] == 0) {
    menu = RegItem[StartPrimary[team]][MENU]
    item = RegItem[StartPrimary[team]][team == 2 ? SLOT_CT : SLOT_T]
    if(item == -1) {
      item = RegItem[StartPrimary[team]][team == 2 ? SLOT_T : SLOT_CT]
    }
    if(item > -1) {
      give_weapon(id, weapon_string(check_team(id, team, 1), menu, item), StartPrimary[team])
    }
  }
  if(StartSecondary[team] > 0 && RegItem[StartSecondary[team]][PRIORITY] == 2 && Died[id]) {
    menu = RegItem[StartSecondary[team]][MENU]
    item = RegItem[StartSecondary[team]][team == 2 ? SLOT_CT : SLOT_T]
    if(item == -1) {
      item = RegItem[StartSecondary[team]][team == 2 ? SLOT_T : SLOT_CT]
    }
    if(item > -1) {
      engclient_cmd(id, "drop", weapon_string(team, RegItem[HasSecondary[id]][MENU], RegItem[HasSecondary[id]][team]))
      give_weapon(id, weapon_string(check_team(id, team, 2), menu, item), StartSecondary[team])
    }
  }
  Died[id] = false
}

public BuyTimeTask() {
  Buy = false
}
