/* AMX Mod script. 
* 
* (c) Copyright 2005, T(+)rget 
* This file is provided as is (no warranties). 
* 
*/

public wmod_menu(id) {
  new cmd[9], temp[3]
  read_argv(0, cmd, 8)
  read_argv(1, temp, 2)
  new menu = str_to_num(temp)
  read_argv(2, temp, 2)
  new key = str_to_num(temp)
  if(menu == 0) {
    if(equal(cmd, "buyequip") && RegItem[43][RESTRICT] != get_user_team(id) && RegItem[43][RESTRICT] != 3) {
      MenuFlags[id] = 8
      show_weaponmenu(id)
    }
    if(equal(cmd, "buy")) {
      new j
      for(new i = 36; i < 44; i++) {
        if(RegItem[i][RESTRICT] == get_user_team(id) || RegItem[i][RESTRICT] == 3) {
          j++
        }
      }
      if(j < 8) {
        MenuFlags[id] = 0
        show_weaponmenu(id)
      }
    }
  }
  else if(equal(cmd, "quickbuy") && menu > 0 && menu < 9 && key > -1 && key < 10) {
    MenuFlags[id] = menu
    new team = get_user_team(id)
    for(new i = 0; i < MAX_ITEMS; i++) {
      if(RegItem[i][MENU] == MenuFlags[id] && RegItem[i][team] > -1 && RegItem[i][RESTRICT] != team && RegItem[i][RESTRICT] != 3) action_weaponmenu(id, key)
    }
  }
  return PLUGIN_HANDLED
}

public buy_ammo(id) {
  if(is_user_alive(id) && !check_buy(id) && !Buy && BuyAllow[id]) {
    engclient_print(id, engprint_center, NoBuy, floatround(get_cvar_float("mp_buytime") * 60))
    return PLUGIN_HANDLED
  }
  else if(is_user_alive(id) && check_buy(id)) {
    new cmd[16], item, clip, ammo, ammotype
    read_argv(0, cmd, 15)
    if(equal(cmd, "buyammo1") && HasPrimary[id]) {
      item = HasPrimary[id]
    }
    if(equal(cmd, "buyammo2") && HasSecondary[id]) {
      item = HasSecondary[id]
    }
    if(item > 0 && item < MAX_ITEMS) {
      get_user_ammo(id, item, clip, ammo)
      if(ammo < RegItem[item][MAXAMMO]) {
        if(RegItem[item][AMMOPRICE] <= get_money(id)) {
          clip = RegItem[item][CLIPS]
          ammotype = RegItem[item][AMMOTYPE]
          if(clip + ammo > RegItem[item][MAXAMMO]) {
            clip = RegItem[item][MAXAMMO] - ammo
            set_pdata_int(id, ammotype+BOT_OFFSET, RegItem[item][MAXAMMO])
          }
          else {
            set_pdata_int(id, ammotype+BOT_OFFSET, clip + ammo)
          }
          set_pdata_int(id, 115, get_money(id) - RegItem[item][AMMOPRICE])
          pickup_ammo(id, ammotype, clip)
          if(RegItem[item][AMMOPRICE] > 0) {
            flash_money(id, 0)
          }
        }
        else {
          flash_money(id, 1)
        }
      }
    }
  }
  return PLUGIN_HANDLED
}

public detect_drop(id) {
  new clip, ammo, wid = get_user_weapon(id, clip, ammo)
  if(wid == HasPrimary[id]) {
    HasPrimary[id] = 0
  }
  if(wid == HasSecondary[id]) {
    HasSecondary[id] = 0
  }
}

public wmod_setup() {
  new cmd[16], temp[8]
  read_argv(1, cmd, 15)
  read_argv(2, temp, 7)
  new item = str_to_num(temp)
  read_argv(3, temp, 7)
  new val = str_to_num(temp)
  if(item > 0 && item < MAX_ITEMS) {
    if(equal(cmd, "restrict") && val > -1 && val < 4) {
      RegItem[item][RESTRICT] = val
    }
    if(equal(cmd, "weapon_price") && val > -1) {
      RegItem[item][PRICE] = val
    }
    if(equal(cmd, "ammo_price") && val > -1) {
      RegItem[item][AMMOPRICE] = val
    }
    // NOT YET SUPPORTED!
    /*if(equal(cmd, "ammo_clip") && val > -1 && val < 256) {
      RegItem[item][AMMOCLIP] = val
    }*/
    if(equal(cmd, "ammo_max") && val > -1 && val < 256) {
      RegItem[item][MAXAMMO] = val
    }
    if(equal(cmd, "clips") && val > -1 && val < 256) {
      RegItem[item][CLIPS] = val
    }
    if(equal(cmd, "primary_t") && RegItem[item][MENU] > MENU1 && RegItem[item][MENU] < MENU6) {
      StartPrimary[1] = item
    }
    if(equal(cmd, "primary_ct") && RegItem[item][MENU] > MENU1 && RegItem[item][MENU] < MENU6) {
      StartPrimary[2] = item
    }
    if(equal(cmd, "secondary_t") && RegItem[item][MENU] == MENU1) {
      StartSecondary[1] = item
    }
    if(equal(cmd, "secondary_ct") && RegItem[item][MENU] == MENU1) {
      StartSecondary[2] = item
    }
  }
}

public wmod_buyzone() {
  new temp[8]
  read_argv(1, temp, 7)
  new set = str_to_num(temp)
  if(set != 1) {
    NoBuyzone = false
  }
  else {
    NoBuyzone = true
  }
	
  for(new i = 1; i <= get_maxplayers(); i++) {
    if(is_user_alive(i)) {
      if(!BuyAllow[i] && !NoBuyzone) {
        buy_display(i, 0)
      }
      else if(!BuyAllow[i] && NoBuyzone) {
        buy_display(i, 1)
      }
    }
  }
}
