/* AMX Mod script. 
* 
* (c) Copyright 2005, T(+)rget 
* This file is provided as is (no warranties). 
* 
*/

public check_buy(id) {
  if(!NoBuyzone) {
    if(Buy && BuyAllow[id]) {
      return true
    }
    if(!Buy || !BuyAllow[id]) {
      return false
    }
  }
  return true
}

public buy_display(id, set) {
  if(set) {
    message_begin(MSG_ONE, get_user_msgid("StatusIcon"), {0,0,0}, id)
    write_byte(1)
    write_string("buyzone")
    write_byte(0)
    write_byte(160)
    write_byte(0)
    message_end()
  }
  else {
    message_begin(MSG_ONE, get_user_msgid("StatusIcon"), {0,0,0}, id)
    write_byte(0)
    write_string("buyzone")
    message_end()
  }
}

public get_money(id) {
  return (get_pdata_int(id, 115))
}

public give_weapon(id, WpnName[], item) {
  if(is_user_alive(id)) {
// Specific Item Checking
    if(equal(WpnName, "item_kevlar") && HasKevlar[id] == 32) {
      format(WpnName, 32, "item_assaultsuit")
    }
    if(equal(WpnName, "item_kevlar")) {
      HasKevlar[id] = 31
    }
    if(equal(WpnName, "item_assaultsuit")) {
      HasKevlar[id] = 32
    }
    if(equal(WpnName, "item_nightvision")) {
      set_pdata_int(id, 129, 1)
      HasNVG[id] = 33
      return PLUGIN_HANDLED
    }
    if(equal(WpnName, "item_thighpack")) {
      HasDefuse[id] = 34
    }
// Creation Code like native give_item from Fun Module
    new wpns = create_entity(WpnName)
    if(wpns == 0) {
      return PLUGIN_HANDLED
    }
    new Float:pOrig[3]
    entity_get_vector(id, EV_VEC_origin, pOrig)
    entity_set_origin(wpns, pOrig)
    entity_set_int(wpns, EV_INT_spawnflags, entity_get_int(wpns, EV_INT_spawnflags) + (1<<30))
    DispatchSpawn(wpns)
    new remove = entity_get_int(wpns, EV_INT_solid)
    fake_touch(wpns, id)
    if(entity_get_int(wpns, EV_INT_solid) == remove) {
      remove_entity(wpns)
    }
  }
  return PLUGIN_HANDLED
}

public get_weapon(id) {
  new clip, ammo
  new wid = get_user_weapon(id, clip, ammo)

  return wid
}

public check_team(id, team, type) {
  if(RegItem[type == 2 ? HasSecondary[id] : HasPrimary[id]][team] == -1) {
    if(team == 2) {
      team = 1
    }
    else {
      team = 2
    }
  }
  return team
}

public flash_money(id, type) {
  if(type == 0) {
    message_begin(MSG_ONE, get_user_msgid("Money"), {0,0,0}, id)
    write_long(get_money(id));
    write_byte(1)
    message_end()
  }
  else {
    engclient_print(id, engprint_center, "You have insufficient funds!")
    message_begin(MSG_ONE, get_user_msgid("BlinkAcct"), {0,0,0}, id)
    write_byte(2)
    message_end()
  }
}

public pickup_wpn(id, wpnid) {
  emit_sound(id, CHAN_ITEM, PICKUP_SND, 1.0, ATTN_NORM, 0, PITCH_NORM)
  message_begin(MSG_ONE, get_user_msgid("WeapPickup"), {0,0,0}, id)
  write_byte(wpnid)
  message_end()
}

public pickup_ammo(id, ammotype, clip) {
  emit_sound(id, CHAN_ITEM, PICKUP_AMMO_SND, 1.0, ATTN_NORM, 0, PITCH_NORM)
  message_begin(MSG_ONE, get_user_msgid("AmmoPickup"), {0,0,0}, id)
  write_byte(ammotype - 376)
  write_byte(clip)
  message_end()
}

public reset_data(id) {
// Default CS Data
  HasPrimary[id] = 0
  HasSecondary[id] = 0
  HasKevlar[id] = 0
  HasNVG[id] = 0
  HasDefuse[id] = 0
  Died[id] = true
}
